indexing
   description : "HTML browser widget"
   project     : "gtkxmhtml Wrapper"
   author      : "Pirmin Kalberer <kalberer@spin.ch>"
   copyright   : "Copyright (c) 1999, Pirmin Kalberer"
   date        : "$Date: 1999/08/27 20:08:50 $"
   revision    : "$Revision: 1.2 $"

class GTKXMHTML
   
inherit
   GTK_CONTAINER
   GTKXMHTML_WRAPPER
   
creation
   make
   
feature
   
   make is
      do
	 swig_init
	 gtkobject := gtk_xmhtml_new
      end
   
   freeze is
      do
	 gtk_xmhtml_freeze ( gtkobject )
      end

   thaw is
      do
	 gtk_xmhtml_thaw ( gtkobject )
      end

   source ( src : STRING ) is
      do
	 gtk_xmhtml_source ( gtkobject, src )
      end

   set_string_direction ( direction : INTEGER ) is
      do
	 gtk_xmhtml_set_string_direction ( gtkobject, direction )
      end

   set_alignment ( alignment : INTEGER ) is
      do
	 gtk_xmhtml_set_alignment ( gtkobject, alignment )
      end

   set_font_familty ( family : STRING; sizes : STRING ) is
      do
	 gtk_xmhtml_set_font_familty ( gtkobject, family, sizes )
      end

   set_font_familty_fixed ( family : STRING; sizes : STRING ) is
      do
	 gtk_xmhtml_set_font_familty_fixed ( gtkobject, family, sizes )
      end

   set_font_charset ( charset : STRING ) is
      do
	 gtk_xmhtml_set_font_charset ( gtkobject, charset )
      end

   set_allow_body_colors ( enable : INTEGER ) is
      do
	 gtk_xmhtml_set_allow_body_colors ( gtkobject, enable )
      end

   set_hilight_on_enter ( flag : INTEGER ) is
      do
	 gtk_xmhtml_set_hilight_on_enter ( gtkobject, flag )
      end

   set_anchor_underline_type ( underline_type : INTEGER ) is
      do
	 gtk_xmhtml_set_anchor_underline_type ( gtkobject, underline_type )
      end

   set_anchor_visited_underline_type ( underline_type : INTEGER ) is
      do
	 gtk_xmhtml_set_anchor_visited_underline_type ( gtkobject, underline_type )
      end

   set_anchor_target_underline_type ( underline_type : INTEGER ) is
      do
	 gtk_xmhtml_set_anchor_target_underline_type ( gtkobject, underline_type )
      end

   set_allow_color_switching ( flag : INTEGER ) is
      do
	 gtk_xmhtml_set_allow_color_switching ( gtkobject, flag )
      end

   set_dithering ( flag : POINTER ) is
      do
	 gtk_xmhtml_set_dithering ( gtkobject, flag )
      end

   set_allow_font_switching ( flag : INTEGER ) is
      do
	 gtk_xmhtml_set_allow_font_switching ( gtkobject, flag )
      end

   set_max_image_colors ( max_colors : INTEGER ) is
      do
	 gtk_xmhtml_set_max_image_colors ( gtkobject, max_colors )
      end

   set_allow_images ( flag : INTEGER ) is
      do
	 gtk_xmhtml_set_allow_images ( gtkobject, flag )
      end

   set_plc_intervals ( min_delay : INTEGER; max_delay : INTEGER; def_delay : INTEGER ) is
      do
	 gtk_xmhtml_set_plc_intervals ( gtkobject, min_delay, max_delay, def_delay )
      end

   set_def_body_image_url ( url : STRING ) is
      do
	 gtk_xmhtml_set_def_body_image_url ( gtkobject, url )
      end

   set_anchor_buttons ( flag : INTEGER ) is
      do
	 gtk_xmhtml_set_anchor_buttons ( gtkobject, flag )
      end

   set_anchor_cursor ( cursor : POINTER; flag : INTEGER ) is
      do
	 gtk_xmhtml_set_anchor_cursor ( gtkobject, cursor, flag )
      end

   set_topline ( line : INTEGER ) is
      do
	 gtk_xmhtml_set_topline ( gtkobject, line )
      end

   get_topline  : INTEGER is
      do
	 Result := gtk_xmhtml_get_topline ( gtkobject )
      end

   set_freeze_animations ( flag : INTEGER ) is
      do
	 gtk_xmhtml_set_freeze_animations ( gtkobject, flag )
      end

   set_screen_gamma ( gamma : REAL ) is
      do
	 gtk_xmhtml_set_screen_gamma ( gtkobject, gamma )
      end

   set_image_procs ( image_proc : POINTER; gif_proc : POINTER; get_data : POINTER; end_data : POINTER ) is
      do
	 gtk_xmhtml_set_image_procs ( gtkobject, image_proc, gif_proc, get_data, end_data )
      end

   set_event_proc ( event_proc : POINTER ) is
      do
	 gtk_xmhtml_set_event_proc ( gtkobject, event_proc )
      end

   set_perfect_colors ( flag : INTEGER ) is
      do
	 gtk_xmhtml_set_perfect_colors ( gtkobject, flag )
      end

   set_uncompress_command ( cmd : STRING ) is
      do
	 gtk_xmhtml_set_uncompress_command ( gtkobject, cmd )
      end

   set_strict_checking ( flag : INTEGER ) is
      do
	 gtk_xmhtml_set_strict_checking ( gtkobject, flag )
      end

   set_bad_html_warnings ( flag : INTEGER ) is
      do
	 gtk_xmhtml_set_bad_html_warnings ( gtkobject, flag )
      end

   set_allow_form_coloring ( flag : INTEGER ) is
      do
	 gtk_xmhtml_set_allow_form_coloring ( gtkobject, flag )
      end

   set_imagemap_draw ( flag : INTEGER ) is
      do
	 gtk_xmhtml_set_imagemap_draw ( gtkobject, flag )
      end

   set_mime_type ( mime_type : STRING ) is
      do
	 gtk_xmhtml_set_mime_type ( gtkobject, mime_type )
      end

   set_alpha_processing ( flag : INTEGER ) is
      do
	 gtk_xmhtml_set_alpha_processing ( gtkobject, flag )
      end

   set_rgb_conv_mode ( val : INTEGER ) is
      do
	 gtk_xmhtml_set_rgb_conv_mode ( gtkobject, val )
      end

end
